%define lib              libffmpeg
%define majoravcodec     54
%define libavcodec       libavcodec
%define libnameavcodec   %{libavcodec}%{majoravcodec}
%define majoravdevice    54
%define libavdevice      libavdevice
%define libnameavdevice  %{libavdevice}%{majoravdevice}
%define majoravformat    54
%define libavformat      libavformat
%define libnameavformat  %{libavformat}%{majoravformat}
%define majoravutil      51
%define libavutil        libavutil
%define libnameavutil    %{libavutil}%{majoravutil}
%define majoravfilter    3
%define libavfilter      libavfilter
%define libnameavfilter  %{libavfilter}%{majoravfilter}
%define majorpostproc    52
%define libpostproc      libpostproc
%define libnamepostproc  %{libpostproc}%{majorpostproc}
%define majorswscale     2
%define libswscale       libswscale
%define libnameswscale   %{libswscale}%{majorswscale}
%define majorswresample  0
%define libswresample    libswresample
%define libnameswresample %{libswresample}%{majorswresample}
%define majoravresample  0
%define libavresample    libavresample
%define libnameavresample %{libavresample}%{majoravresample}
%define lastrelease      1.0.6

%bcond_without avfilter
%bcond_without libvpx
%bcond_with    libfaac
%bcond_with    libopenjpeg
%if 0%{?suse_version} >= 1140
%bcond_without pulse
%else
%bcond_with    pulse
%endif

Name:           ffmpeg
Version:        %{lastrelease}
Release:        1.1
License:        LGPL-2.0+ and some code GPL-2.0+
Summary:        Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(de):    Hyperschneller MPEG1/MPEG4/H263/RV Und AC3/MPEG Audio-Encoder
Url:            http://www.ffmpeg.org
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        ffmpeg-%{version}.tar.bz2
Source1:        ffmpeg.rpmlintrc
Source2:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       libav                = %{version}
Obsoletes:      libav                < %{version}
BuildRequires:  SDL-devel
BuildRequires:  alsa-devel
BuildRequires:  freetype2-devel
BuildRequires:  imlib2-devel
BuildRequires:  libgsm
BuildRequires:  libgsm-devel
BuildRequires:  libjack-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libogg-devel
BuildRequires:  libtheora-devel >= 1.1
BuildRequires:  libvorbis-devel
BuildRequires:  ncurses-devel
BuildRequires:  slang-devel
BuildRequires:  xorg-x11-devel
BuildRequires:  yasm
BuildRequires:  zlib-devel
%if %{with pulse}
BuildRequires:  libpulse-devel
%endif
%if %{with libfaac}
BuildRequires:  libfaac-devel >= 1.28
%endif
BuildRequires:  libdc1394
BuildRequires:  libdc1394-devel
BuildRequires:  liboil-devel >= 0.3.15
BuildRequires:  libopencore-amr-devel
BuildRequires:  librtmp-devel
BuildRequires:  libva-devel
BuildRequires:  libx264-devel
BuildRequires:  libxvidcore-devel
BuildRequires:  schroedinger-devel
BuildRequires:  speex-devel
BuildRequires:  libtwolame-devel
BuildRequires:  texinfo
%if 0%{?suse_version} <= 1130
BuildRequires:  libdc1394_control12-devel
%endif
%if 0%{?suse_version} >= 1140
BuildRequires:  libass-devel
BuildRequires:  libopus-devel
%else
BuildRequires:  libass-devel
BuildRequires:  fontconfig-devel >= 2.4.2
BuildRequires:  enca-devel
BuildRequires:  fribidi-devel >= 0.19.0
%endif
%if %{with libopenjpeg}
BuildRequires:  libopenjpeg-devel
%endif
BuildRequires:  libvdpau-devel
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
BuildRequires:  libvpx-devel
%endif
%endif
BuildRequires:  pkgconfig(vo-aacenc)
Requires:       %{libnameavcodec}    = %{version}
Requires:       %{libnameavdevice}   = %{version}
Requires:       %{libnameavformat}   = %{version}
Requires:       %{libnameavutil}     = %{version}
Requires:       %{libnamepostproc}   = %{version}
Requires:       %{libnameswscale}    = %{version}
Requires:       %{libnameswresample} = %{version}
Requires:       %{libnameavresample} = %{version}

%description
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

%description -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

%package -n %{libnameavcodec}
Group:          System/Libraries
Summary:        FFmpeg %{libavcodec}
Provides:       %{libavcodec}        = %{version}
Requires:       %{libnameavutil}     = %{version}

%description -n %{libnameavcodec}
ffmpeg %{libavcodec} shared library

%description -n %{libnameavcodec} -l de
ffmpeg %{libavcodec} Bibliothek

%package -n %{libnameavdevice}
Group:          System/Libraries
Summary:        FFmpeg %{libavdevice}
Provides:       %{libavdevice}       = %{version}
Requires:       %{libnameavcodec}    = %{version}
Requires:       %{libnameavformat}   = %{version}
Requires:       %{libnameavutil}     = %{version}
Requires:       %{libnameswresample} = %{version}

%description -n %{libnameavdevice}
ffmpeg %{libavdevice} shared library

%description -n %{libnameavdevice} -l de
ffmpeg %{libavdevice} Bibliothek

%package -n %{libnameavformat}
Group:          System/Libraries
Summary:        FFmpeg %{libavformat}
Provides:       %{libavformat}       = %{version}
Requires:       %{libnameavcodec}    = %{version}
Requires:       %{libnameavutil}     = %{version}
%if %{with avfilter}
Requires:       %{libnameavfilter}   = %{version}
%endif

%description -n %{libnameavformat}
ffmpeg %{libavformat} shared library

%description -n %{libnameavformat} -l de
ffmpeg %{libavformat} Bibliothek

%package -n %{libnameavutil}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavutil}         = %{version}

%description -n %{libnameavutil}
ffmpeg %{libavutil} shared library

%description -n %{libnameavutil} -l de
ffmpeg %{libavutil} Bibliothek

%package -n %{libnameavfilter}
Group:          System/Libraries
Summary:        FFmpeg %{libavutil}
Provides:       %{libavfilter}       = %{version}
Requires:       %{libnameavcodec}    = %{version}
Requires:       %{libnameavutil}     = %{version}
Requires:       %{libnameswscale}    = %{version}
Requires:       %{libnameswresample} = %{version}

%description -n %{libnameavfilter}
ffmpeg %{libavfilter} shared library

%description -n %{libnameavfilter} -l de
ffmpeg %{libavfilter} Bibliothek

%package -n %{libnamepostproc}
Group:          System/Libraries
Summary:        FFmpeg %{libpostproc}
Provides:       %{libpostproc}       = %{version}
Requires:       %{libnameavutil}     = %{version}

%description -n %{libnamepostproc}
ffmpeg %{libpostproc} shared library

%description -n %{libnamepostproc} -l de
ffmpeg %{libpostproc} Bibliothek

%package -n %{libnameswscale}
Group:          System/Libraries
Summary:        FFmpeg %{libswscale}
Provides:       %{libswscale}        = %{version}
Requires:       %{libnameavutil}     = %{version}

%description -n %{libnameswscale}
ffmpeg %{libswscale} shared library

%description -n %{libnameswscale} -l de
ffmpeg %{libswscale} Bibliothek

%package -n %{libnameswresample}
Group:          System/Libraries
Summary:        FFmpeg %{libswresample}
Provides:       %{libswresample}     = %{version}
Requires:       %{libnameavutil}     = %{version}

%description -n %{libnameswresample}
ffmpeg %{libswresample} shared library

%description -n %{libnameswresample} -l de
ffmpeg %{libswresample} Bibliothek


%package -n %{libnameavresample}
Group:          System/Libraries
Summary:        FFmpeg %{libavresample}
Provides:       %{libavresample}     = %{version}

%description -n %{libnameavresample}
ffmpeg %{libavresample} shared library

%description -n %{libnameavresample} -l de
ffmpeg %{libavresample} Bibliothek


%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Header files and static library for the ffmpeg library
Summary(de):    Header Dateien und statische Bibliotheken für die ffmpeg Bibliothek
Obsoletes:      ffmpeg-devel         < %{version}
Provides:       ffmpeg-devel         = %{version}
Obsoletes:      libffmpeg0-devel     < %{version}
Provides:       libffmpeg0-devel     = %{version}
Obsoletes:      libav-devel          < %{version}
Provides:       libav-devel          = %{version}
Obsoletes:      libavutil-devel      < %{version}
Provides:       libavutil-devel      = %{version}
%ifarch x86_64 amd64 ia32e
Provides:       libavcodec.so()(64bit)
Provides:       libavformat.so()(64bit)
Provides:       libavutil.so()(64bit)
%if %{with avfilter}
Provides:       libavfilter.so()(64bit)
%endif
Provides:       libpostproc.so()(64bit)
%else
Provides:       libavcodec.so
Provides:       libavformat.so
Provides:       libavutil.so
%if %{with avfilter}
Provides:       libavfilter.so
%endif
Provides:       libpostproc.so
%endif
Requires:       %{libnameavcodec}    = %{version}
Requires:       %{libnameavdevice}   = %{version}
Requires:       %{libnameavformat}   = %{version}
Requires:       %{libnameavutil}     = %{version}
Requires:       %{libnamepostproc}   = %{version}
%if %{with avfilter}
Requires:       %{libnameavfilter}   = %{version}
%endif
Requires:       %{libnameswscale}    = %{version}
Requires:       %{libnameswresample} = %{version}
Requires:       %{libnameavresample} = %{version}
Requires:       alsa-devel
Requires:       libmp3lame-devel
Requires:       libogg-devel
Requires:       libtheora-devel >= 1.1
Requires:       libvorbis-devel
Requires:       libxvidcore-devel
Requires:       slang-devel
Requires:       zlib-devel
%if %{with libfaac}
Requires:       libfaac-devel
%endif
Requires:       dirac-devel >= 1.0.0
Requires:       libdc1394
Requires:       libdc1394-devel
Requires:       libgsm-devel
Requires:       libjack-devel
Requires:       liboil-devel >= 0.3.15
Requires:       libopencore-amr-devel
Requires:       librtmp-devel
Requires:       libva-devel
Requires:       libx264-devel
Requires:       schroedinger-devel
Requires:       speex-devel
%if 0%{?suse_version} <= 1130
Requires:       libdc1394_control12-devel
%endif
%if %{with libopenjpeg}
Requires:       libopenjpeg-devel
%endif
Requires:       libvdpau-devel

%description -n %{lib}-devel
ffmpeg is a hyper fast realtime audio/video encoder, a streaming  server
and a generic audio and video file converter.

It can grab from a standard Video4Linux video source and convert it into
several file formats based on DCT/motion compensation encoding. Sound is
compressed in MPEG audio layer 2 or using an AC3 compatible stream.

Install libffmpeg-devel if you want to compile apps with ffmpeg support.

%description -n %{lib}-devel -l de
ffmpeg ist ein hyperschneller realtime Audio-/Video-Encoder, ein Streaming
Server und ein Audio und Video Dateikonverter.

Es kann von einer Standard-Video4Linux-Quelle grabben und in verschiedene
Dateiformate basierend auf einer DCT/motion compensation konvertiern.
Sound wird in einen MPEG audio layer 2 oder AC3 Stream geschrieben.

Installieren Sie libffmpeg-devel wenn Sie Anwendungen mit ffmpeg Support
compilieren wollen.

%prep
%setup -q
FAKE_BUILDDATE=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%b %%e %%Y')
sed -i "s/__DATE__/\"$FAKE_BUILDDATE\"/" cmdutils.c ffprobe.c
FAKE_BUILDTIME=$(LC_ALL=C date -u -r %{_sourcedir}/%{name}.changes '+%%H:%%M:%%S')
sed -i "s/__TIME__/\"$FAKE_BUILDTIME\"/" cmdutils.c ffprobe.c

%build
export SUSE_ASNEEDED=0
archflags=""
%ifarch x86_64 amd64 ia32e
  archflags=" -fPIC"
%endif
%ifarch %ix86
  archflags=" -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
  sed -i -e "s/-fPIC -DPIC//g" libpostproc/Makefile
%endif

CFLAGS="%{optflags} ${archflags} -I%{_includedir}/gsm"
%if %{with libopenjpeg}
CFLAGS="${CFLAGS}  -I%{_includedir}/openjpeg"
%endif
export archflags
export CFLAGS
CPPFLAGS="${CFLAGS}"
export CPPFLAGS

./configure --shlibdir=%{_libdir} --prefix=%{_prefix} --mandir=%{_mandir} \
            --libdir=%{_libdir} --enable-shared --disable-static \
            --enable-debug --disable-stripping --extra-cflags="${CFLAGS}" \
            --enable-gpl --enable-x11grab --enable-version3 --enable-pthreads \
%ifarch ppc
            --disable-altivec \
%endif
%if %{with libfaac}
            --enable-libfaac --enable-nonfree \
%endif
%if %{with libopenjpeg}
            --enable-libopenjpeg \
%endif
%if %{with avfilter}
            --enable-avfilter \
%else
            --disable-avfilter \
%endif
%if %{with pulse}
            --enable-libpulse \
%endif
%if %{with libvpx}
%ifarch %ix86 x86_64 amd64 ia32e
            --enable-libvpx \
%endif
%endif
%if 0%{?suse_version} >= 1140
            --enable-libopus --enable-libass \
%else
            --enable-libass \
%endif
            --enable-libmp3lame --enable-libvorbis --enable-libtheora \
            --enable-libspeex --enable-libxvid --enable-libx264 \
            --enable-libschroedinger --enable-libgsm \
            --enable-libopencore-amrnb --enable-libopencore-amrwb \
            --enable-postproc --enable-libdc1394 --enable-librtmp \
            --enable-libfreetype --enable-avresample --enable-libtwolame \
            --enable-libvo-aacenc

make %{?_smp_mflags} V=1

%install
ln -s libavformat libav
%{makeinstall} V=1

mkdir -p %{buildroot}%{_includedir}/postproc
install -d %{buildroot}%{_libdir}/libavcodec
rm -rf doc/.git
rm -f  doc/Makefile
rm -f  doc/texi2pod.pl
rm -f  doc/*.html.d
rm -f  doc/print_options
rm -f  doc/print_options.*
rm -f  doc/ffmpeg.1 doc/ffplay.1 doc/ffprobe.1 doc/ffserver.1
install -m 644 libavcodec/dvdata.h %{buildroot}%{_includedir}/libavcodec/
rm -f %{buildroot}%{_libdir}/*.{la,a}

%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%post   -n %{libnameavcodec} -p /sbin/ldconfig
%postun -n %{libnameavcodec} -p /sbin/ldconfig

%post   -n %{libnameavdevice} -p /sbin/ldconfig
%postun -n %{libnameavdevice} -p /sbin/ldconfig

%post   -n %{libnameavformat} -p /sbin/ldconfig
%postun -n %{libnameavformat} -p /sbin/ldconfig

%post   -n %{libnameavutil} -p /sbin/ldconfig
%postun -n %{libnameavutil} -p /sbin/ldconfig

%post   -n %{libnamepostproc} -p /sbin/ldconfig
%postun -n %{libnamepostproc} -p /sbin/ldconfig

%post   -n %{libnameavfilter} -p /sbin/ldconfig
%postun -n %{libnameavfilter} -p /sbin/ldconfig

%post   -n %{libnameswscale} -p /sbin/ldconfig
%postun -n %{libnameswscale} -p /sbin/ldconfig

%post   -n %{libnameswresample} -p /sbin/ldconfig
%postun -n %{libnameswresample} -p /sbin/ldconfig

%post -n %{libnameavresample} -p /sbin/ldconfig
%postun -n %{libnameavresample} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc Changelog COPYING.* CREDITS LICENSE README doc
%{_bindir}/*
%dir %{_datadir}/ffmpeg
%{_datadir}/ffmpeg/ffprobe.xsd
%{_datadir}/ffmpeg/*.ffpreset
%{_mandir}/man1/*

%files -n %{libnameavcodec}
%defattr(-,root,root)
%{_libdir}/%{libavcodec}.so.%{majoravcodec}*

%files -n %{libnameavdevice}
%defattr(-,root,root)
%{_libdir}/%{libavdevice}.so.%{majoravdevice}*

%files -n %{libnameavformat}
%defattr(-,root,root)
%{_libdir}/%{libavformat}.so.%{majoravformat}*

%files -n %{libnameavutil}
%defattr(-,root,root)
%{_libdir}/%{libavutil}.so.%{majoravutil}*

%if %{with avfilter}
%files -n %{libnameavfilter}
%defattr(-,root,root)
%{_libdir}/%{libavfilter}.so.%{majoravfilter}*
%endif

%files -n %{libnamepostproc}
%defattr(-,root,root)
%{_libdir}/%{libpostproc}.so.%{majorpostproc}*

%files -n %{libnameswscale}
%defattr(-,root,root)
%{_libdir}/%{libswscale}.so.%{majorswscale}*

%files -n %{libnameswresample}
%defattr(-,root,root)
%{_libdir}/%{libswresample}.so.%{majorswresample}*

%files -n %{libnameavresample}
%defattr(-,root,root)
%{_libdir}/%{libavresample}.so.%{majoravresample}*

%files -n %{lib}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/libavcodec
%{_libdir}/pkgconfig/*.pc
%{_datadir}/ffmpeg/examples

%changelog
* Thu Apr 11 2013 Manfred.Tremmel@iiv.de
- update to 1.0.6
  * more fixes
* Fri Mar  8 2013 Manfred.Tremmel@iiv.de
- update to 1.0.5
  * more fixes
* Wed Feb 27 2013 reddwarf@opensuse.org
- enable vo-aacenc
* Sun Feb 10 2013 Manfred.Tremmel@iiv.de
- update to 1.0.4
  * more fixes
* Tue Feb  5 2013 Manfred.Tremmel@iiv.de
- update to 1.0.3
  * lot of fixes
* Sun Jan 20 2013 Manfred.Tremmel@iiv.de
  back to 1.0.1, because of some problems with other programms
* Sun Jan 20 2013 Manfred.Tremmel@iiv.de
- update to 1.1.1
  * Fix a crash on windows platforms related to automatic stack
    alignment in libavresample
  * Fix memleaks in the ogg demuxer. Related to CVE-2012-2882
  * more fixes
* Mon Jan  7 2013 Manfred.Tremmel@iiv.de
- update to 1.1
  * stream disposition information printing in ffprobe
  * filter for loudness analysis following EBU R128
  * Opus encoder using libopus
  * ffprobe -select_streams option
  * Pinnacle TARGA CineWave YUV16 decoder
  * TAK demuxer, decoder and parser
  * DTS-HD demuxer
  * remove -same_quant, it hasn't worked for years
  * FFM2 support
  * X-Face image encoder and decoder
  * 24-bit FLAC encoding
  * multi-channel ALAC encoding up to 7.1
  * metadata (INFO tag) support in WAV muxer
  * subtitles raw text decoder
  * support for building DLLs using MSVC
  * LVF demuxer
  * ffescape tool
  * metadata (info chunk) support in CAF muxer
  * field filter ported from libmpcodecs
  * AVR demuxer
  * geq filter ported from libmpcodecs
  * remove ffserver daemon mode
  * AST muxer/demuxer
  * new expansion syntax for drawtext
  * BRender PIX image decoder
  * ffprobe -show_entries option
  * ffprobe -sections option
  * ADPCM IMA Dialogic decoder
  * BRSTM demuxer
  * animated GIF decoder and demuxer
  * PVF demuxer
  * subtitles filter
  * IRCAM muxer/demuxer
  * Paris Audio File demuxer
  * Virtual concatenation demuxer
  * VobSub demuxer
  * JSON captions for TED talks decoding support
  * SOX Resampler support in libswresample
  * aselect filter
  * SGI RLE 8-bit decoder
  * Silicon Graphics Motion Video Compressor 1 & 2 decoder
  * Silicon Graphics Movie demuxer
  * apad filter
  * Resolution & pixel format change support with multithreading for H.264
  * documentation split into per-component manuals
  * pp (postproc) filter ported from MPlayer
  * NIST Sphere demuxer
  * MPL2, VPlayer, MPlayer, AQTitle, PJS and SubViewer v1 subtitles demuxers and decoders
  * Sony Wave64 muxer
  * adobe and limelight publisher authentication in RTMP
  * data: URI scheme
  * support building on the Plan 9 operating system
  * kerndeint filter ported from MPlayer
  * histeq filter ported from VirtualDub
  * 012v decoder
* Tue Jan  1 2013 Manfred.Tremmel@iiv.de
- enabled libass support
* Tue Dec 11 2012 Manfred.Tremmel@iiv.de
- update to 1.0.1
* Sat Sep 29 2012 Manfred.Tremmel@iiv.de
- update to 1.0
  * INI and flat output in ffprobe
  * Scene detection in libavfilter
  * Indeo Audio decoder
  * channelsplit audio filter
  * setnsamples audio filter
  * atempo filter
  * ffprobe -show_data option
  * RTMPT protocol support
  * iLBC encoding/decoding via libilbc
  * Microsoft Screen 1 decoder
  * join audio filter
  * audio channel mapping filter
  * Microsoft ATC Screen decoder
  * RTSP listen mode
  * TechSmith Screen Codec 2 decoder
  * AAC encoding via libfdk-aac
  * Microsoft Expression Encoder Screen decoder
  * RTMPS protocol support
  * RTMPTS protocol support
  * RTMPE protocol support
  * RTMPTE protocol support
  * showwaves and showspectrum filter
  * LucasArts SMUSH playback support
  * SAMI, RealText and SubViewer demuxers and decoders
  * Heart Of Darkness PAF playback support
  * iec61883 device
  * asettb filter
  * new option: -progress
  * 3GPP Timed Text encoder/decoder
  * GeoTIFF decoder support
  * ffmpeg -(no)stdin option
  * Opus decoder using libopus
  * caca output device using libcaca
  * alphaextract and alphamerge filters
  * concat filter
  * flite filter
  * Canopus Lossless Codec decoder
  * bitmap subtitles in filters (experimental and temporary)
  * MP2 encoding via TwoLAME
  * bmp parser
  * smptebars source
  * asetpts filter
  * hue filter
  * ICO muxer
  * SubRip encoder and decoder without embedded timing
  * edge detection filter
  * framestep filter
  * ffmpeg -shortest option is now per-output file
  - pass and -passlogfile are now per-output stream
  * volume measurement filter
  * Ut Video encoder
  * Microsoft Screen 2 decoder
  * Matroska demuxer now identifies SRT subtitles as AV_CODEC_ID_SUBRIP
    instead of AV_CODEC_ID_TEXT
  * smartblur filter ported from MPlayer
  * CPiA decoder
  * decimate filter ported from MPlayer
  * RTP depacketization of JPEG
  * Smooth Streaming live segmenter muxer
  * F4V muxer
  * sendcmd and asendcmd filters
  * WebVTT demuxer and decoder (simple tags supported)
  * RTP packetization of JPEG
  * faststart option in the MOV/MP4 muxer
* Mon Jun 11 2012 Manfred.Tremmel@iiv.de
- update to 0.11.1
  * Fixes:CVE-2012-2772, CVE-2012-2774, CVE-2012-2775, CVE-2012-2776, CVE-2012-2777,
    CVE-2012-2779, CVE-2012-2782, CVE-2012-2783, CVE-2012-2784, CVE-2012-2785,
    CVE-2012-2786, CVE-2012-2787, CVE-2012-2788, CVE-2012-2789, CVE-2012-2790,
    CVE-2012-2791, CVE-2012-2792, CVE-2012-2793, CVE-2012-2794, CVE-2012-2795,
    CVE-2012-2796, CVE-2012-2797, CVE-2012-2798, CVE-2012-2799, CVE-2012-2800,
    CVE-2012-2801, CVE-2012-2802, CVE-2012-2803, CVE-2012-2804,
  * v408 Quicktime and Microsoft AYUV Uncompressed 4:4:4:4 encoder and decoder
  * setfield filter
  * CDXL demuxer and decoder
  * Apple ProRes encoder
  * ffprobe -count_packets and -count_frames options
  * Sun Rasterfile Encoder
  * ID3v2 attached pictures reading and writing
  * WMA Lossless decoder
  * bluray protocol
  * blackdetect filter
  * libutvideo encoder wrapper (--enable-libutvideo)
  * swapuv filter
  * bbox filter
  * XBM encoder and decoder
  * RealAudio Lossless decoder
  * ZeroCodec decoder
  * tile video filter
  * Metal Gear Solid: The Twin Snakes demuxer
  * OpenEXR image decoder
  * removelogo filter
  * drop support for ffmpeg without libavfilter
  * drawtext video filter: fontconfig support
  * ffmpeg -benchmark_all option
  * super2xsai filter ported from libmpcodecs
  * add libavresample audio conversion library for compatibility
  * MicroDVD decoder
  * Avid Meridien (AVUI) encoder and decoder
  * accept + prefix to -pix_fmt option to disable automatic conversions.
  * complete audio filtering in libavfilter and ffmpeg
  * add fps filter
  * audio split filter
  * vorbis parser
  * png parser
  * audio mix filter
* Mon May 28 2012 reddwarf@opensuse.org
- Remove incorrect obsoletes
* Sat May 26 2012 Manfred.Tremmel@iiv.de
- update to 0.11
  * Fixes CVE-2012-2771 ... 2805
  * v408 Quicktime and Microsoft AYUV Uncompressed 4:4:4:4 encoder and decoder
  * setfield filter
  * CDXL demuxer and decoder
  * Apple ProRes encoder
  * ffprobe -count_packets and -count_frames options
  * Sun Rasterfile Encoder
  * ID3v2 attached pictures reading and writing
  * WMA Lossless decoder
  * bluray protocol
  * blackdetect filter
  * libutvideo encoder wrapper (--enable-libutvideo)
  * swapuv filter
  * bbox filter
  * XBM encoder and decoder
  * RealAudio Lossless decoder
  * ZeroCodec decoder
  * tile video filter
  * Metal Gear Solid: The Twin Snakes demuxer
  * OpenEXR image decoder
  * removelogo filter
  * drop support for ffmpeg without libavfilter
  * drawtext video filter: fontconfig support
  * ffmpeg -benchmark_all option
  * super2xsai filter ported from libmpcodecs
  * add libavresample audio conversion library for compatibility
  * MicroDVD decoder
  * Avid Meridien (AVUI) encoder and decoder
  * accept + prefix to -pix_fmt option to disable automatic conversions.
  * audio filters support in libavfilter and avconv
  * add fps filter
  * audio split filter
  * vorbis parser
  * png parser
  * audio mix filter
* Sat May 19 2012 reddwarf@opensuse.org
- Update to 0.10.3
* Thu May  3 2012 pascal.bleser@opensuse.org
- enable PulseAudio input support on openSUSE >= 11.4
* Wed Mar 28 2012 Manfred.Tremmel@iiv.de
- added --enable-libfreetype configure parameter
* Mon Mar 26 2012 reddwarf@opensuse.org
- Update to 0.10.2
  * Some security fixes
  * Over 100 bugfixes
  * Some new features like the swapuv filter
* Mon Mar 26 2012 reddwarf@opensuse.org
- Stop using %%suse_update_libdir, broke Factory x86_64 build
* Mon Mar 12 2012 toddrme2178@gmail.com
- Added 32bit compatibility libraries (required by libxine2-32bit)
- Cleaned up spec file formatting
* Fri Mar  2 2012 reddwarf@opensuse.org
- Substitute __DATE__ and __TIME__ also in ffprobe.c
* Fri Jan 27 2012 Manfred.Tremmel@iiv.de
  update to 0.10:
- Fixes: CVE-2011-3929, CVE-2011-3934, CVE-2011-3935, CVE-2011-3936,
    CVE-2011-3937, CVE-2011-3940, CVE-2011-3941, CVE-2011-3944,
    CVE-2011-3945, CVE-2011-3946, CVE-2011-3947, CVE-2011-3949,
    CVE-2011-3950, CVE-2011-3951, CVE-2011-3952
- v410 Quicktime Uncompressed 4:4:4 10-bit encoder and decoder
- SBaGen (SBG) binaural beats script demuxer
- OpenMG Audio muxer
- Timecode extraction in DV and MOV
- thumbnail video filter
- XML output in ffprobe
- asplit audio filter
- tinterlace video filter
- astreamsync audio filter
- amerge audio filter
- ISMV (Smooth Streaming) muxer
- GSM audio parser
- SMJPEG muxer
- XWD encoder and decoder
- Automatic thread count based on detection number of (available) CPU cores
- y41p Brooktree Uncompressed 4:1:1 12-bit encoder and decoder
- ffprobe -show_error option
- Avid 1:1 10-bit RGB Packer codec
- v308 Quicktime Uncompressed 4:4:4 encoder and decoder
- yuv4 libquicktime packed 4:2:0 encoder and decoder
- ffprobe -show_frames option
- silencedetect audio filter
- ffprobe -show_program_version, -show_library_versions, -show_versions options
- rv34: frame-level multi-threading
- optimized iMDCT transform on x86 using SSE for for mpegaudiodec
- Improved PGS subtitle decoder
- dumpgraph option to lavfi device
- r210 and r10k encoders
- ffwavesynth decoder
- aviocat tool
- ffeval tool
* Fri Jan  6 2012 Manfred.Tremmel@iiv.de
- update to 0.9.1 (fixing security problems and other improvements)
* Mon Dec 12 2011 Manfred.Tremmel@iiv.de
  update to 0.9:
- openal input device added
- boxblur filter added
- BWF muxer
- Flash Screen Video 2 decoder
- lavfi input device added
- added avconv, which is almost the same for now, except
  for a few incompatible changes in the options, which will hopefully make them
  easier to use. The changes are:
  * The options placement is now strictly enforced! While in theory the
    options for ffmpeg should be given in [input options] -i INPUT [output
    options] OUTPUT order, in practice it was possible to give output options
    before the -i and it mostly worked. Except when it didn't - the behavior was
    a bit inconsistent. In avconv, it is not possible to mix input and output
    options. All non-global options are reset after an input or output filename.
  * All per-file options are now truly per-file - they apply only to the next
    input or output file and specifying different values for different files
    will now work properly (notably -ss and -t options).
  * All per-stream options are now truly per-stream - it is possible to
    specify which stream(s) should a given option apply to. See the Stream
    specifiers section in the avconv manual for details.
  * In ffmpeg some options (like -newvideo/-newaudio/...) are irregular in the
    sense that they're specified after the output filename instead of before,
    like all other options. In avconv this irregularity is removed, all options
    apply to the next input or output file.
  * -newvideo/-newaudio/-newsubtitle options were removed. Not only were they
    irregular and highly confusing, they were also redundant. In avconv the -map
    option will create new streams in the output file and map input streams to
    them. E.g. avconv -i INPUT -map 0 OUTPUT will create an output stream for
    each stream in the first input file.
  * The -map option now has slightly different and more powerful syntax:
    + Colons (':') are used to separate file index/stream type/stream index
    instead of dots. Comma (',') is used to separate the sync stream instead
    of colon.. This is done for consistency with other options.
    + It's possible to specify stream type. E.g. -map 0:a:2 creates an
    output stream from the third input audio stream.
    + Omitting the stream index now maps all the streams of the given type,
    not just the first. E.g. -map 0:s creates output streams for all the
    subtitle streams in the first input file.
    + Since -map can now match multiple streams, negative mappings were
    introduced. Negative mappings disable some streams from an already
    defined map. E.g. '-map 0 -map -0:a:1' means 'create output streams for
    all the stream in the first input file, except for the second audio
    stream'.
  * There is a new option -c (or -codec) for choosing the decoder/encoder to
    use, which allows to precisely specify target stream(s) consistently with
    other options. E.g. -c:v lib264 sets the codec for all video streams, -c:a:0
    libvorbis sets the codec for the first audio stream and -c copy copies all
    the streams without reencoding. Old -vcodec/-acodec/-scodec options are now
    aliases to -c:v/a/s
  * It is now possible to precisely specify which stream should an AVOption
    apply to. E.g. -b:v:0 2M sets the bitrate for the first video stream, while
  - b:a 128k sets the bitrate for all audio streams. Note that the old -ab 128k
    syntax is deprecated and will stop working soon.
  * -map_chapters now takes only an input file index and applies to the next
    output file. This is consistent with how all the other options work.
  * -map_metadata now takes only an input metadata specifier and applies to
    the next output file. Output metadata specifier is now part of the option
    name, similarly to the AVOptions/map/codec feature above.
  * -metadata can now be used to set metadata on streams and chapters, e.g.
  - metadata:s:1 language=eng sets the language of the first stream to 'eng'.
    This made -vlang/-alang/-slang options redundant, so they were removed.
  * -qscale option now uses stream specifiers and applies to all streams, not
    just video. I.e. plain -qscale number would now apply to all streams. To get
    the old behavior, use -qscale:v. Also there is now a shortcut -q for -qscale
    and -aq is now an alias for -q:a.
  * -vbsf/-absf/-sbsf options were removed and replaced by a -bsf option which
    uses stream specifiers. Use -bsf:v/a/s instead of the old options.
  * -itsscale option now uses stream specifiers, so its argument is only the
    scale parameter.
  * -intra option was removed, use -g 0 for the same effect.
  * -psnr option was removed, use -flags +psnr for the same effect.
  * -vf option is now an alias to the new -filter option, which uses stream specifiers.
  * -vframes/-aframes/-dframes options are now aliases to the new -frames option.
  * -vtag/-atag/-stag options are now aliases to the new -tag option.
- XMV demuxer
- LOAS demuxer
- ashowinfo filter added
- Windows Media Image decoder
- amovie source added
- LATM muxer/demuxer
- Speex encoder via libspeex
- JSON output in ffprobe
- WTV muxer
- Optional C++ Support (needed for libstagefright)
- H.264 Decoding on Android via Stagefright
- Prores decoder
- BIN/XBIN/ADF/IDF text file decoder
- aconvert audio filter added
- audio support to lavfi input device added
- libcdio-paranoia input device for audio CD grabbing
- Apple ProRes decoder
- CELT in Ogg demuxing
- G.723.1 demuxer and decoder
- libmodplug support (--enable-libmodplug)
- VC-1 interlaced decoding
- libutvideo wrapper (--enable-libutvideo)
- aevalsrc audio source added
- Ut Video decoder
- Speex encoding via libspeex
- 4:2:2 H.264 decoding support
- 4:2:2 and 4:4:4 H.264 encoding with libx264
- Pulseaudio input device
- Prores encoder
- Video Decoder Acceleration (VDA) HWAccel module.
- replacement Indeo 3 decoder
- new ffmpeg option: -map_channel
- volume audio filter added
- earwax audio filter added
- libv4l2 support (--enable-libv4l2)
- TLS/SSL and HTTPS protocol support
- AVOptions API rewritten and documented
- most of CODEC_FLAG2_*, some CODEC_FLAG_* and many codec-specific fields in
  AVCodecContext deprecated. Codec private options should be used instead.
- Properly working defaults in libx264 wrapper, support for native presets.
- Encrypted OMA files support
- Discworld II BMV decoding support
- VBLE Decoder
- OS X Video Decoder Acceleration (VDA) support
- compact and csv output in ffprobe
- pan audio filter
- IFF Amiga Continuous Bitmap (ACBM) decoder
- ass filter
- CRI ADX audio format demuxer
- Playstation Portable PMP format demuxer
- Microsoft Windows ICO demuxer
- life source
- PCM format support in OMA demuxer
- CLJR encoder
- new option: -report
- Dxtory capture format decoder
- cellauto source
* Wed Nov 23 2011 Manfred.Tremmel@iiv.de
- update to 0.8.7 (fixing security problems and other improvements)
* Sun Nov  6 2011 Manfred.Tremmel@iiv.de
- update to 0.8.6 (fixing security problems and other improvements)
* Mon Oct  3 2011 Manfred.Tremmel@iiv.de
- update to 0.8.5 (fixing security problems and other improvements)
* Thu Sep 22 2011 Manfred.Tremmel@iiv.de
- update to 0.8.4 (fixing security problems and other bugs)
* Thu Sep  8 2011 Manfred.Tremmel@iiv.de
- update to 0.8.3 (fixing security problems and other bugs)
* Fri Jul 29 2011 Manfred.Tremmel@iiv.de
- update to 0.8.1 (fixing security problems and other bugs)
* Thu Jun 23 2011 Manfred.Tremmel@iiv.de
- update to 0.8
* Sun Jun 12 2011 johannesobermayr@gmx.de
- disable/remove static libraries
- introduce source service
* Sat Jun 11 2011 Manfred.Tremmel@iiv.de
- update to git Sat Jun 11 14:25:22 UTC 2011
* Sat Jun  4 2011 Manfred.Tremmel@iiv.de
- update to git Sat Jun 04 13:41:03 UTC 2011
* Sat Apr 16 2011 Manfred.Tremmel@iiv.de
- update to git Sat Apr 16 11:03:41 UTC 2011
- reanabled dbug packages
- enabled vaapi support
* Sat Apr  9 2011 Manfred.Tremmel@iiv.de
- returned from libav to ffmpeg
- update to git Sat Apr 09 09:33:26 UTC 2011
* Sat Apr  2 2011 reddwarf@opensuse.org
- Remove man pages from doc dir: helps build-compare
* Sat Apr  2 2011 Manfred.Tremmel@iiv.de
- switch from ffmpeg to libav
- update to git 2011-04-02 14:57 CEST
* Wed Mar  9 2011 Manfred.Tremmel@iiv.de
- update to git 2011-03-09 21:02
* Sun Mar  6 2011 reddwarf@opensuse.org
- Remove __DATE__ and __TIME__ references to help build-compare
* Sun Jan 16 2011 Manfred.Tremmel@iiv.de
- update to svn 26387
* Mon Nov 15 2010 pascal.bleser@opensuse.org
- disable faac support by default, as it makes the resulting packages break the GPL and hence may not be redistributed
- add explicit Requires: lib... = %%{version}-%%{release} to avoid crashes on missing symbols, as upstream doesn't care about proper SONAMEs (and not even proper releases to begin with)
* Sun Nov  7 2010 Manfred.Tremmel@iiv.de
- update to svn 25702
* Sun Oct 17 2010 Manfred.Tremmel@iiv.de
- update to svn 25512
* Sun Oct  3 2010 Manfred.Tremmel@iiv.de
- update to svn 25320
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- require schroedinger-devel instead of libschroedinger-devel for
  compatibility with openSUSE package
- remove libffmpeg0 dummy package
- make libvpx optional
* Fri Jun 25 2010 pascal.bleser@opensuse.org
- verbose build
- make the build use the optflags
- have a debuginfo package
* Sat Jun 19 2010 Manfred.Tremmel@iiv.de
- reenabled avfilter, aspect ratio problem seems to be fixed and it's needed
  by ffmpeg2theora 0.27
* Wed Jun 16 2010 Manfred.Tremmel@iiv.de
- Update to 0.6
* Mon May 24 2010 Manfred.Tremmel@iiv.de
- update to svn 23289
- disabled avfilter, problems with aspect ratio
* Tue May 18 2010 Manfred.Tremmel@iiv.de
- update to svn 23159
* Mon Apr 26 2010 Manfred.Tremmel@iiv.de
- update to svn 22965
* Sat Apr  3 2010 Manfred.Tremmel@iiv.de
- update to svn 22789
* Tue Mar 23 2010 Manfred.Tremmel@iiv.de
- update to svn 22648
- patch to fix build on 11.3 factory i586
- patch to return version when using "ffmpeg -v"
* Sun Feb 28 2010 Manfred.Tremmel@iiv.de
- update to svn 22095
* Wed Feb 17 2010 Manfred.Tremmel@iiv.de
- update to svn 21861
* Sat Feb  6 2010 Manfred.Tremmel@iiv.de
- update to svn 21651
* Sat Jan  2 2010 Manfred.Tremmel@iiv.de
- update to svn 21000
* Fri Dec 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20796
* Mon Nov 23 2009 Manfred.Tremmel@iiv.de
- update to svn 20592
* Wed Nov 11 2009 Manfred.Tremmel@iiv.de
- update to svn 20511
* Thu Sep 24 2009 Manfred.Tremmel@iiv.de
- update to svn 20006
* Tue Sep 22 2009 Manfred.Tremmel@iiv.de
- update to svn 19969
* Sat Aug 29 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Thu May 14 2009 Manfred.Tremmel@iiv.de
- recompile against new x264 (PPC used old one before)
* Tue Apr  7 2009 Manfred.Tremmel@iiv.de
- removed deprecated include symlinks (make trouble with new xine-lib)
* Tue Mar 10 2009 Manfred.Tremmel@iiv.de
- Wow! Never thought, this realy would get realaty, but it's
  a offical relase with tarball and so on. Now it's the real
  ffmpeg 0.5, enjoy it ;-)
* Tue Mar  3 2009 Manfred.Tremmel@iiv.de
- update to svn 17737
- ffmpeg has dumped version to 0.5 in changelog, so this is
  something like a release build ;-) (there are no official
  releases anymore)
- enabled vdpau support
* Wed Feb 11 2009 Manfred.Tremmel@iiv.de
- update to svn 1716
- recompile against new libfaad2 and libfaac
* Mon Dec 15 2008 Manfred.Tremmel@iiv.de
- update to svn 16142
- changed jack dependencies (conflict between jack and jackdmp)
* Sat Dec 13 2008 Manfred.Tremmel@iiv.de
- update to svn 16093
- disabled libnut support, doesn't compile
* Thu Nov  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15785
- compile against new x264 and libtheora0 1.0
* Sat Oct  4 2008 Manfred.Tremmel@iiv.de
- update to svn 15554
- compile against new x264
* Sun Sep 21 2008 Manfred.Tremmel@iiv.de
- update to svn 15375
- compile against new liba52 lib and fixed dependency entry
* Sat Sep 20 2008 Manfred.Tremmel@iiv.de
- update to svn 15372
- compile against new faad2 and xvid packages
* Thu Sep 18 2008 Manfred.Tremmel@iiv.de
- update to svn 15365
- compile against new x264
* Sun Sep 14 2008 Manfred.Tremmel@iiv.de
- update to svn 15319
* Sat Sep  6 2008 Manfred.Tremmel@iiv.de
- update to svn 15224 (wma playback is now fixed in svn)
* Mon Aug 18 2008 Manfred.Tremmel@iiv.de
- update to svn 14828
- another try to fix wma playback (by downgrading all the
  wma stuff with little changes to make it work with new svn)
* Sat Aug 16 2008 Manfred.Tremmel@iiv.de
- update to svn 14793
- fixed dependency entries
* Fri Aug 15 2008 Manfred.Tremmel@iiv.de
- update to svn 14775
- enabled libschroedinger and libnut (only >= 11.0) support
- build with yasm 0.7.1
* Tue Jul 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14462
- fixed some depends entries, thanks to Pascal for reporting it
* Thu Jul 24 2008 Manfred.Tremmel@iiv.de
- update to svn 14365
- fixed bad sound on wma files (downgrade wmadec.c)
* Mon Jul 21 2008 Manfred.Tremmel@iiv.de
- update to svn 14321
- splitted libffmpeg0 into seperate packages
* Sat Jul  5 2008 Manfred.Tremmel@iiv.de
- update to svn 14078
- rebuild with new faac 1.26 and faad2 2.6.1
* Sun Jun 29 2008 Manfred.Tremmel@iiv.de
- update to svn 14030
* Thu Jun 19 2008 Manfred.Tremmel@iiv.de
- removed esound dependency entries, they are not (no longer?) needed
* Tue Jun 17 2008 Manfred.Tremmel@iiv.de
- update to svn 13799
* Mon May 12 2008 Manfred.Tremmel@iiv.de
- update to svn 13138
* Sat Apr 26 2008 Manfred.Tremmel@iiv.de
- update to svn 12977
- patched pkgconfig files, adding new include directories in Cflags
* Tue Apr 22 2008 Manfred.Tremmel@iiv.de
- update to svn 12924
* Sun Apr 13 2008 Manfred.Tremmel@iiv.de
- update to svn 12806
* Sat Mar 29 2008 Manfred.Tremmel@iiv.de
- update to svn 12625
* Sun Mar 16 2008 Manfred.Tremmel@iiv.de
- update to svn 12464
* Mon Mar  3 2008 Manfred.Tremmel@iiv.de
- update to svn 12299
* Tue Feb 19 2008 Manfred.Tremmel@iiv.de
- update to svn 12146
* Sat Feb  9 2008 Manfred.Tremmel@iiv.de
- update to svn 11889:
  Now with Ogg and AVM2 (Flash 9) SWF muxers, TechnoTrend PVA and
  Linux Media Labs MPEG-4 (LMLM4) demuxers, PC Paintbrush PCX and
  Sun Rasterfile decoders
- enabled pthreads support
* Sat Feb  2 2008 Manfred.Tremmel@iiv.de
- update to svn 11813
* Fri Dec 28 2007 Manfred.Tremmel@iiv.de
- update to svn 11346
- rebuild with new x264
* Sun Dec 23 2007 Manfred.Tremmel@iiv.de
- update to svn 11311
- build without altivec support on ppc, otherwise it crashes on
  G3 and older CPUs (seems the detection is broken at the moment)
* Fri Dec 21 2007 Manfred.Tremmel@iiv.de
- update to svn 11296
- included libdc1394 support
- renamed libffmpeg0-devel to libffmpeg-devel
* Tue Nov  6 2007 Manfred.Tremmel@iiv.de
- update to svn 10937
- switched from libdts to libdca package, which now contains libdts library
* Sat Oct 27 2007 Manfred.Tremmel@iiv.de
- update to svn 10865, codecs like AMV audio and video,
  PAFF decoding for H.264, Nellymoser speech codec and
  Beam Software SIFF where included inbetween
* Sun Sep  2 2007 Manfred.Tremmel@iiv.de
- update to svn 10279
- build against new amrnb and amrwb packages
* Tue Jul 24 2007 Manfred.Tremmel@iiv.de
- update to svn 9790, new libswscale is needed for WengoPhone
* Thu Jul  5 2007 Manfred.Tremmel@iiv.de
- update to svn 9487
- using now external amrnb and amrwb packages
* Sat Feb 24 2007 Manfred.Tremmel@iiv.de
- update to svn 8115 to fix missing ac3 support
- enabled libgsm support for SUSE >= 10.1
* Sun Feb 18 2007 Manfred.Tremmel@iiv.de
- update to svn 8019
- changed configure file to enable -ldl, which seems to solve
  problems on some installations
* Thu Feb  8 2007 Manfred.Tremmel@iiv.de
- update to svn 7882, fixes vp6f decoding
* Thu Feb  1 2007 Manfred.Tremmel@iiv.de
- update to svn 7796
- changed options to make it compile on SUSE <= 10.0 again
* Sat Jan 20 2007 Manfred.Tremmel@iiv.de
- update to svn 7591 and disabled gprof for ix86 to fixe
  compile without ugly hacks
- other compiler optimisation changes to fix segfaults
* Thu Jan  4 2007 Manfred.Tremmel@iiv.de
- another svn build, Revision 7407
- added a patch to fix problems in libavutil/common.h
* Thu Dec 21 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 7349
- added a ugly hack to enable the build again on x86
- fixed provides entry
* Sun Oct  8 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6589
- enabled libdts support
* Sun Sep 24 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6328
- removed -03 optimation in configure file, doesn't compile with
  gcc < 4 (SUSE 9.3 and below)
* Mon Sep 18 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6288
* Thu Aug 17 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 6005
* Tue Aug 15 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5999
- rebuild with new faac 1.25 and faad2 2.5
- disabled x264 for older SUSE versions, there is no actuall x264 package
* Fri Aug 11 2006 Manfred.Tremmel@iiv.de
- another svn build, Revision 5982
- added [percent]suse_update_libdir -f configure to fix x86_64 problems
* Sat Jun 24 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Sat Jun 10 2006 Manfred.Tremmel@iiv.de
- rebuild of latest svn version
* Thu Apr 27 2006 leon@links2linux.de
- bumped the release (compiled against a new x264 version)
* Fri Apr  7 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- enabled x264 support
- removed pic from libavcodec/libpostproc/Makefile, doesn't compile
  on x86 with pic
* Wed Apr  5 2006 Manfred.Tremmel@iiv.de
- some little changes for SUSE 10.1 thanks to Detlef Reichelt
- removed vc1 (WMV) support (legaly reasons)
* Sat Feb 18 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
- added vc1 (WMV) support
* Wed Feb  1 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Jan 22 2006 Manfred.Tremmel@iiv.de
- added provides entries for x86_64
* Fri Jan 13 2006 Manfred.Tremmel@iiv.de
- rebuild of latest cvs version
* Sun Oct 16 2005 Manfred.Tremmel@iiv.de
- added a fix for pkgconfig sent by Andreas Hanke
* Sun Oct  9 2005 Manfred.Tremmel@iiv.de
- enabled a lot of codecs
* Sun Sep 18 2005 Manfred.Tremmel@iiv.de
- cvs version for SUSE 10.0, last stable doesn't compile with gcc 4
* Tue Nov 23 2004 detlef@dreichelt.de
- changes for x86_64:
  - added CFLAGS= -fPIC
  - added patch for
  - edit libavcodec/Makefile  /lib --> /lib64
  - edit libavformat/Makefile /lib --> /lib64
  - edit vhook/Makefile       /lib --> /lib64
* Sun Oct 31 2004 Manfred.Tremmel@iiv.de
- added --enable-a52 --enable-faad
* Fri Oct 29 2004 Manfred.Tremmel@iiv.de
- update to 0.4.9 pre1
- added --enable-gpl
* Mon May 17 2004 Manfred.Tremmel@iiv.de
- added --enable-pp to configure for Rainers vlc package
* Mon May  3 2004 Manfred.Tremmel@iiv.de
- some little changes for SuSE 9.1
* Fri Oct  3 2003 Manfred.Tremmel@iiv.de
- update to 0.4.8 final
* Sat Aug 30 2003 Manfred.Tremmel@iiv.de
- update to 0.4.7 final
* Thu Mar 27 2003 Manfred.Tremmel@iiv.de
- added packman headers
- added german translations
* Sat Dec 28 2002 Manfred.Tremmel@iiv.de
- update to 0.4.6 final
* Sat Dec 21 2002 Manfred.Tremmel@iiv.de
- compile for SuSE
- update to current cvs
* Sun Dec 15 2002 yves@zarb.org
- use make installlib instead of doing it by hand.
- added a symlink [percent]_libdir/libavcodec/libavcodec.a to .. for some soft that
  search libavcodec.a here.
* Mon Dec  9 2002 waschk@linux-mandrake.com
- add avformat stuff for gstreamer
- add vhook plugins
- build with imlib2 support
- new snapshot
* Mon Oct 28 2002 waschk@linux-mandrake.com
- latest CVS snapshot
* Mon Aug 19 2002 han@linux-mandrake.com
- update a bit
- Minor cleanups
* Wed Jul 10 2002 waschk@linux-mandrake.com
- change the major to 0.4.6
- new cvs snapshot
* Thu Jun  6 2002 g.rousse@linux-mandrake.com
- updated snapshot
- fixed build
- disabled mmx :-(
- documentation for main package only
- added missing binaries
* Sat May 18 2002 yduret@mandrakesoft.com
- include libavcodec.a (no official release with a stable API -> static linking).
- fix FAQ missing (now in doc/FAQ).
* Wed May 15 2002 g.rousse@linux-mandrake.com
- fixed wrong release
* Wed May  8 2002 g.rousse@linux-mandrake.com
- added missing provides
* Wed Apr 17 2002 waschk@linux-mandrake.com
- update to CVS snapshot
- build shared library
- split package
- don't use [percent]configure, it's not an autoconf script
- add header files
* Mon Sep 10 2001 lenny@mandrakesoft.com
- added in contribs by Götz Waschk <waschk@linux-mandrake.com> :
- removed ffserver, because it doesn't work according to the FAQ
- initial package
